loci.plugins.in

## Class UpgradeDialog

- java.lang.Object
- - loci.plugins.prefs.OptionsDialog
  - - loci.plugins.in.ImporterDialog
    - - loci.plugins.in.UpgradeDialog

-     public class UpgradeDialog
      extends ImporterDialog

  Bio-Formats Importer upgrade checker dialog box.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static boolean` | `checkPerformed` Whether an upgrade check has already been performed this session.

    - ### Fields inherited from class loci.plugins.in.ImporterDialog

      `options, process`

    - ### Fields inherited from class loci.plugins.prefs.OptionsDialog

      `IS_GLITCHED, optionsList, STATUS_CANCELED, STATUS_FINISHED, STATUS_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpgradeDialog(ImportProcess process)` Creates an upgrade checker dialog for the Bio-Formats Importer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ij.gui.GenericDialog` | `constructDialog()`
    `protected boolean` | `displayDialog(ij.gui.GenericDialog gd)` Asks user whether Bio-Formats should automatically check for upgrades, and if so, checks for an upgrade and prompts user to install it.
    `protected boolean` | `harvestResults(ij.gui.GenericDialog gd)`
    `protected boolean` | `needPrompt()`

    - ### Methods inherited from class loci.plugins.in.ImporterDialog

      `showDialog`

    - ### Methods inherited from class loci.plugins.prefs.OptionsDialog

      `addCheckbox, addChoice, sleep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### checkPerformed

          private static boolean checkPerformed

      Whether an upgrade check has already been performed this session.

  - ### Constructor Detail

    - #### UpgradeDialog

          public UpgradeDialog(ImportProcess process)

      Creates an upgrade checker dialog for the Bio-Formats Importer.

  - ### Method Detail

    - #### needPrompt

          protected boolean needPrompt()

      Specified by:
        `needPrompt` in class `ImporterDialog`

    - #### constructDialog

          protected ij.gui.GenericDialog constructDialog()

      Specified by:
        `constructDialog` in class `ImporterDialog`

    - #### displayDialog

          protected boolean displayDialog(ij.gui.GenericDialog gd)

      Asks user whether Bio-Formats should automatically check for upgrades, and if so, checks for an upgrade and prompts user to install it.
      Overrides:
        `displayDialog` in class `ImporterDialog`
      Returns:
        status of operation

    - #### harvestResults

          protected boolean harvestResults(ij.gui.GenericDialog gd)

      Specified by:
        `harvestResults` in class `ImporterDialog`

Copyright © 2026 Open Microscopy Environment